libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.8. __nv_asinh

Prototype:

    double @__nv_asinh(double %x)

Description:

Calculate the arc hyperbolic sine of the input argument `x`.

Returns:

- __nv_asinh(0) returns 1.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes